GET /katello/api/organizations/114267492/environments
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "name",
"order": "asc"
},
"results": [
{
"library": true,
"registry_name_pattern": null,
"registry_unauthenticated_pull": false,
"id": 562075838,
"name": "Library",
"label": "library_label",
"description": "This is the Library",
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"created_at": "2026-11-03 08:05:52 UTC",
"updated_at": "2026-11-03 08:05:52 UTC",
"prior": null,
"successor": null,
"counts": {
"content_hosts": 2,
"content_views": 5,
"packages": 11,
"module_streams": 5,
"errata": {
"security": 1,
"bugfix": 4,
"enhancement": 1,
"total": 6
},
"yum_repositories": 13,
"docker_repositories": 5,
"ostree_repositories": 1,
"products": 9,
"debs": 5,
"deb_repositories": 5
},
"permissions": {
"create_lifecycle_environments": true,
"view_lifecycle_environments": true,
"edit_lifecycle_environments": true,
"destroy_lifecycle_environments": false,
"promote_or_remove_content_views_to_environments": true
},
"content_views": [
{
"name": "Published LIbrary view",
"id": 405955044
},
{
"name": "Published Library and dev view",
"id": 909058347
},
{
"name": "Published Library - dev - staging view",
"id": 419082953
},
{
"name": "Composite view",
"id": 64601712
},
{
"name": "Rolling CV",
"id": 623031031
}
],
"capsules": []
}
]
}
| Param name | Description |
|---|---|
|
organization_id
optional |
organization identifier Validations:
|
|
library
optional |
set true if you want to see only library environments Validations:
|
|
name
optional |
filter only environments containing this name Validations:
|
|
label
optional |
filter only environments containing this label Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
| Field name | Type | Possible values |
|---|---|---|
| id | integer | |
| label | string | |
| name | string | |
| organization_id | integer |